=== debian/changelog ===
u-boot-linaro (2011.09.6-0ubuntu1) oneiric; urgency=low

  * omap4: reduce default operating point for 4460 devices
    Reduce the operating point for 4460 to OPP100 (MPU at 700MHz)
    (LP: #867670)
      From bug report:
        With both A9 cores loaded 4460 reaches max temperature in about 30s at the
        current operating point of 930MHz. The operating point should be lowered to
        700MHz.
        It appears the panda heats more than I thought (and much more that the blaze),
        and by loading the 2 cores I can quite easily reach max temperature at 920MHz
        (it takes around 30s on my board!).
        At 700MHz, the temperature still increases but much slower. So if the A9 cores
        do not run at 100% all the time we shall be ok.
        So for now, we definitely need this change if we don't want to run with a
        heatsink...
  * mmc: omap: enable high capacity
      Enable high capacity to host capability.
      Fixes eMMC detection on boot from MMC/SD card.
    mmc: omap: config VMMC, MMC1_PBIAS
      Config VMMC voltage to 3V for MMC/SD card slot
      and PBIAS settings needed for OMAP4
    (LP: #867650)

 -- John Rigby <john.rigby@linaro.org>  Wed, 05 Oct 2011 17:17:34 -0600

u-boot-linaro (2011.09.5-0ubuntu1) oneiric; urgency=low

  * FFe: u-boot-linaro 11.09, misc fixes for new silicon and boards
    (LP: #851974)
    mmc: omap: enable high capacity
    mmc: omap: config VMMC, MMC1_PBIAS
    omap4: fix pad configuration settings for SDP and Panda
    omap4: make SDRAM init work for ES1.0 silicon
    omap4: IO settings 
    pxe: make the first label the implicit default
    OMAP4: removing fdt_addr from the default env
    U-Boot/SPL: omap4: Make ddr pre-calculated timings as default.
    (LP: #837235)
    Revert "armv7: adapt omap3 to the new cache maintenance framework"
    (LP: #862013)

 -- John Rigby <john.rigby@linaro.org>  Thu, 29 Sep 2011 00:40:24 -0600

u-boot-linaro (2011.08.6-0ubuntu2) oneiric; urgency=low

  * FFe: enabling build and package for OMAP4 SDP4430 (LP: #839615)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Fri, 02 Sep 2011 10:10:40 -0300

u-boot-linaro (2011.08.6-0ubuntu1) oneiric; urgency=low

  * Allow loading of u-boot.bin as well as u-boot.img 
    Feature freeze exception (LP: #836748)

 -- John Rigby <john.rigby@linaro.org>  Mon, 29 Aug 2011 09:15:47 -0600

u-boot-linaro (2011.08.5-0ubuntu1) oneiric; urgency=low

  * Same upstream, new upload for oneiric.
    Feature freeze exception (LP: #833876)

 -- John Rigby <john.rigby@linaro.org>  Thu, 25 Aug 2011 10:21:43 -0600

u-boot-linaro (2011.08.5-0ubuntu1~ppa~natty1) natty; urgency=low

  * New upstream 2011.08.3
    - arm: do not force d-cache enable on all boards

 -- John Rigby <john.rigby@linaro.org>  Wed, 24 Aug 2011 10:21:48 -0600

u-boot-linaro (2011.08.4-0ubuntu1~ppa~natty1) natty; urgency=low

  * No upstream changes.
    Packaging changes to give better control of build and install
    targets.  Add new column to platforms-debs-targets to add explicit
    install file list.  Use '-' in build target column to mean default. 
    Add comments to document columns.  The result of all this is
    that no extra files get copied to the .deb file.

 -- John Rigby <john.rigby@linaro.org>  Fri, 19 Aug 2011 09:55:47 -0600

u-boot-linaro (2011.08.4-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.3
    - OMAP4 Panda: reapplying panda specific mux changes

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Aug 2011 23:58:41 -0600

u-boot-linaro (2011.08.3-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.3 which fixes booting problems on OMAP3 
    - Revert "armv7: adapt omap3 to the new cache maintenance framework"

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Aug 2011 15:25:26 -0600

u-boot-linaro (2011.08.1-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.1 which includes
    - MLO for OMAP4 Panda comes from u-boot's new spl feature
    - PXE is now backup default boot for OMAP4 Panda
      (LP: #826877, #820121)
    - Change MAXARGS for Panda to 32
      (LP: #820116)
    - pxecfg: Prefix MAC-based requests with "01-"
      (LP: #827705)
    - net/eth.c: fix eth_write_hwaddr() to use dev->enetaddr as fall back
      (LP: #817315)
  * Rename platform-and-targets to debian/platforms-debs-targets and rearrange
    to have target column which is now optional last.  Modify rules to only
    use target on make invocation when it exists.  This means that targets 
    only the mx targets need the u-boot.imx target since the u-boot build
    system does NOT just do the right thing without it.  Also skip lines
    in platforms-debs-targets that begin with # to allow for comments. 

 -- John Rigby <john.rigby@linaro.org>  Wed, 17 Aug 2011 09:09:17 -0600

u-boot-linaro (2011.07.2-0ubuntu1~natty1) natty; urgency=low

  * New upstream 2011.07.1 which includes
    Add uboot "fdt_high" enviroment variable (LP: #707047)
    Fix typo from 'mb_alloc' -> 'lmb_alloc'

 -- John Rigby <john.rigby@linaro.org>  Mon, 25 Jul 2011 16:31:28 -0600

u-boot-linaro (2011.07.1-0ubuntu1) oneiric; urgency=low

  * New upstream 2011.07.1 which includes
     - PXE FDT fix from previous ubuntu release so patch has been removed
     - Added missing PXE env vars (LP: #808815)
     - Generated unique usbethaddr (LP: #809015)
     - Modify pxe command to look for usbethaddr if ethaddr is NULL

 -- John Rigby <john.rigby@linaro.org>  Wed, 13 Jul 2011 23:31:39 -0600

u-boot-linaro (2011.06.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/0001-cmd_pxecfg-only-call-do_bootm-with-argc-4-if-fdtaddr.patch:
    - Fix PXE when built with FDT but without loading it at runtime (LP: #808612)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 11 Jul 2011 02:13:14 -0300

u-boot-linaro (2011.06.5-0ubuntu1) oneiric; urgency=low

  * Use gcc 4.5 since usb fails with 4.6 
    Adding CC= on make command line this time so it actually works

