=== debian/control ===
Source: u-boot-linaro
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Rigby <john.rigby@linaro.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), gcc-4.5
Standards-Version: 3.9.1
Vcs-Git: git://git.linaro.org/boot/u-boot-linaro-stable.git

Package: u-boot-linaro-ca9x4-ct-vxp
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ARM ca9x4_ct_vxp (Versatile Express) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-efikamx
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Genesi i.MX515 Efika MX
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-highbank
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Calxeda Highbank
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-igep0020
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ISEE igep0020 (IGEPv2) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx51evk
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX51 mx51evk (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx53loco
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX53 mx53loco (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-beagle
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for various TI OMAP3 Beagle boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-overo
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for Gumstix Overo boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-panda
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 Panda board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-sdp4430
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 SDP4430 board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system
